/*
| |  Header file for Regular Expression Evaluator.
| |
| |  Greg Anderson
 */

/*-----------------------------------------------------------------
| Flags:
-----------------------------------------------------------------*/
#define IGNORE		0x001	/* -i : ignore case					*/
#define NUMBER  	0x002	/* -n : number each line			*/
#define COUNT		0x004	/* -c : display count, not output	*/
#define INVERT		0x008	/* -v : inverted search				*/
#define MULTILINE	0x010	/* -m : multi-line match (indented)	*/
#define FOLDEDLINE	0x020	/* -f : folded lines (with backslash)*/
#define NOBREAKS	0x040	/* -b : no line breaks				*/
#define BEGINFLAG	0x080	/* '^': search from beginning of line*/
#define ENDFLAG		0x100	/* '$': search to end of line		*/

extern int regexp_flags;

extern int		end_of_line(char *);
extern int		find_regexp(char *,char *,char **,char **);
extern int		strgrep(char *,char *,char **);
extern int		chargrep(char **,char **,char **);
extern int		searchset(char **,char);
extern int		wild_scan(char *,char **,char *);
extern int		greplen(char **);
